# Generated from bag_kadaster_client-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bag_kadaster_client

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: IMBAG API - van de LVBAG Ruby Gem
License: Unlicense
URL: https://openapi-generator.tech
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
# BuildRequires: rubygem(rspec) >= 3.6
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec) >= 3.6.0
BuildArch: noarch

%description
Dit is de [BAG API](https://zakelijk.kadaster.nl/-/bag-api) Individuele
Bevragingen van de Landelijke Voorziening Basisregistratie Adressen en
Gebouwen (LVBAG).                                         <br/>               
Meer informatie over de Basisregistratie Adressen en Gebouwen is te vinden op
de website van het [Ministerie van Binnenlandse Zaken en
Koninkrijksrelaties](https://www.geobasisregistraties.nl/basisregistraties/adressen-en-gebouwen)
en [Kadaster](https://zakelijk.kadaster.nl/bag).                              
<br/>                                         <br/>                           
De BAG API levert informatie conform de [BAG Catalogus
2018](https://www.geobasisregistraties.nl/documenten/publicatie/2018/03/12/catalogus-2018)
en het informatiemodel IMBAG 2.0.                                         De
API specificatie volgt de [Nederlandse
API-Strategie](https://docs.geostandaarden.nl/api/API-Strategie) specificatie
versie van 20200204 en is opgesteld in [OpenAPI
Specificatie](https://www.forumstandaardisatie.nl/standaard/openapi-specification)
(OAS) v3.                                         <br/>                       
Het standaard mediatype HAL (`application/hal+json`) wordt gebruikt. Dit is
een mediatype voor het weergeven van resources en hun relaties via hyperlinks.
<br/>                                         <br/>                           
Deze API is vooral gericht op individuele bevragingen (op basis van de
identificerende gegevens van een object).                                     
Om gebruik te kunnen maken van de BAG API is een API key nodig, deze kan
verkregen worden door het
[aanvraagformulier](https://formulieren.kadaster.nl/aanvraag_bag_api_individuele_bevragingen_productie)
in te vullen.                                         <br/>                   
<br/>                                         Voor vragen, neem contact op met
de LVBAG beheerder o.v.v. BAG API 2.0. We zijn aan het kijken naar een
geschikt medium hiervoor, mede ook om de API iteratief te kunnen opstellen of
doorontwikkelen samen met de community. Als de API iets (nog) niet kan, wat u
wel graag wilt, neem dan contact op.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/git_push.sh
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/bag_kadaster_client.gemspec
%doc %{gem_instdir}/docs
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 1.0.0-1
- Initial package
